Languages

Final Cut Pro 4.5 HD and earlier not supported on Power Mac G5 (Late 2005) or iMac G5 (iSight)

This article has been archived and is no longer updated by Apple.

Final Cut Pro 4 through Final Cut Pro HD 4.5 require a computer with an AGP video card for installation. PowerMac G5 (Late 2005) models (released October 19, 2005) and iMac G5 (iSight) models feature newer PCI Express video cards. Because of this, you can't install Final Cut Pro 4.x on these computers. Final Cut Pro 4.x is not supported on these computers.

Final Cut Pro 3.x and earlier do not work in Max OS X 10.4 Tiger. Because Power Mac G5 (Late 2005) and iMac G5 (iSight) models require Mac OS X 10.4.2 or later, you can't install Final Cut Pro 3.x or earlier versions on these computers. Final Cut Pro 3.x and earlier versions are not supported on any computer running Mac OS X 10.4.

To use Final Cut Pro on Power Mac G5 (Late 2005) or iMac G5 (iSight) computers, please upgrade to Final Cut Studio.

Last Modified: Feb 20, 2012

Additional Product Support Information